## soundkonverter-trinity 14.1.2

=== CMakeLists.txt ===
############################################
#
#  (C) 2023 Michele Calgaro
#  Michele (DOT) Calgaro (AT) yahoo.it
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
############################################


##### set project version

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup

project( soundkonverter )


##### include essential cmake modules

include( FindPkgConfig          )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )
include( CheckTypeSize          )


##### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support"         OFF )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"           ON           )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )



##### configure checks

include( ConfigureChecks.cmake )


##### global compiler settings

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## soundkonverter-trinity 14.0.4

=== debian/changelog ===
soundkonverter-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:53:49 +0200

soundkonverter-trinity (0.3.8-5) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

soundkonverter-trinity (0.3.8-3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 17 June 2009 22:08:00 -0600

soundkonverter (0.3.8-2) unstable; urgency=low

  * Changed build dependency from automake-1.9 to automake. (Closes: #488814)

 -- Michael Meskes <meskes@debian.org>  Tue, 01 Jul 2008 16:16:14 +0200

soundkonverter (0.3.8-1) unstable; urgency=low

  * New upstream version. (Closes: #488227)
  * Made amarok script list the current version number. (Closes: #447623)
  * Added a note to README.Debian about how to enable soundkonverter-amarok
    script. (Closes: #447625)
  * Moved homepage in description to its own field.
  * Made lintian happy by slightly rewording copyright file.
  * Bumped Standards-Version to 3.8.0, no changes needed.
  * Added myself as uploader.

 -- Michael Meskes <meskes@debian.org>  Fri, 27 Jun 2008 12:38:16 +0200

soundkonverter (0.3.6-1) unstable; urgency=low

  * Initial release. (Closes: #446403)

 -- Fathi Boudra <fboudra@free.fr>  Sat, 13 Oct 2007 14:50:28 +0200

=== debian/control ===
Source: soundkonverter-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, libcdparanoia0-dev, libtag1-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://www.kde-apps.org/content/show.php?content=29024

Package: soundkonverter-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: soundkonverter-kde3 (<< 4:14.0.0~), soundkonverter-trinity (<< 4:14.0.0~)
Breaks: soundkonverter-kde3 (<< 4:14.0.0~), soundkonverter-trinity (<< 4:14.0.0~)
Recommends: cdda2wav, cdparanoia, faad, libav-tools | ffmpeg, flac, tdemultimedia-tdeio-plugins-trinity, mp3gain, mplayer, mppenc, speex, timidity, vorbis-tools, vorbisgain, wavpack
Suggests: soundkonverter-amarok-trinity
Description: audio converter frontend for Trinity
 soundKonverter is a frontend to various audio converters.
 .
 The key features are:
  - Audio conversion
  - Replay Gain calculation
  - CD ripping
 .
 soundKonverter supports reading and writing tags for many formats, so the tags
 are preserved when converting files.
 .
 It comes with an Amarok script.
 .
 See 'soundkonverter-amarok' package for more informations.
 .
 See README.Debian for more informations on supported formats.

Package: soundkonverter-amarok-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, soundkonverter-trinity, amarok-trinity, ruby, libqt0-ruby-trinity
Replaces: soundkonverter-amarok-kde3 (<< 4:14.0.0~), soundkonverter-amarok-trinity (<< 4:14.0.0~)
Breaks: soundkonverter-amarok-kde3 (<< 4:14.0.0~), soundkonverter-amarok-trinity (<< 4:14.0.0~)
Description: audio converter frontend for Trinity (Amarok script)
 Amarok script for soundKonverter. It allows you to easily transcode files when
 transferring them to your media device.
 .
 See the 'soundkonverter-trinity' package for more information.

## soundkonverter-trinity 14.0.6

=== debian/changelog ===
soundkonverter-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:39:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 Package: soundkonverter-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: soundkonverter-kde3 (<< 4:14.0.0~), soundkonverter-trinity (<< 4:14.0.0~)
-Breaks: soundkonverter-kde3 (<< 4:14.0.0~), soundkonverter-trinity (<< 4:14.0.0~)
-Recommends: cdda2wav, cdparanoia, faad, libav-tools | ffmpeg, flac, tdemultimedia-tdeio-plugins-trinity, mp3gain, mplayer, mppenc, speex, timidity, vorbis-tools, vorbisgain, wavpack
-Suggests: soundkonverter-amarok-trinity
+Replaces: soundkonverter-trinity (<< 4:14.0.0~)
+Breaks: soundkonverter-trinity (<< 4:14.0.0~)
+Recommends: cdparanoia, faad, libav-tools | ffmpeg, flac, tdemultimedia-tdeio-plugins-trinity, mp3gain, mplayer, mppenc, speex, vorbis-tools, vorbisgain, wavpack
+Suggests: soundkonverter-amarok-trinity, timidity
 Description: audio converter frontend for Trinity
  soundKonverter is a frontend to various audio converters.
  .
@@ -34,8 +34,8 @@
 Package: soundkonverter-amarok-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, soundkonverter-trinity, amarok-trinity, ruby, libqt0-ruby-trinity
-Replaces: soundkonverter-amarok-kde3 (<< 4:14.0.0~), soundkonverter-amarok-trinity (<< 4:14.0.0~)
-Breaks: soundkonverter-amarok-kde3 (<< 4:14.0.0~), soundkonverter-amarok-trinity (<< 4:14.0.0~)
+Replaces: soundkonverter-amarok-trinity (<< 4:14.0.0~)
+Breaks: soundkonverter-amarok-trinity (<< 4:14.0.0~)
 Description: audio converter frontend for Trinity (Amarok script)
  Amarok script for soundKonverter. It allows you to easily transcode files when
  transferring them to your media device.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_INSTALL_ARGS = --sourcedir=debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS = --with-extra-libs=/opt/trinity/lib
DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" && echo xz || echo bzip2)

install/soundkonverter-trinity::
	install -D -p -m0644 debian/soundkonverter-trinity.lintian-overrides \
	    debian/soundkonverter-trinity/usr/share/lintian/overrides/soundkonverter-trinity

install/soundkonverter-amarok-trinity::
	chmod 0755 debian/tmp/opt/trinity/share/apps/soundkonverter/amarokscript/soundKonverter.rb

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## soundkonverter-trinity 14.0.8

=== debian/changelog ===
soundkonverter-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:54:50 +0200

## soundkonverter-trinity 14.0.10

=== debian/changelog ===
soundkonverter-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## soundkonverter-trinity 14.0.11

=== debian/changelog ===
soundkonverter-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:35:04 +0200

## soundkonverter-trinity 14.0.13

=== debian/changelog ===
soundkonverter-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Sep 2022 00:27:20 +0200

## soundkonverter-trinity 14.1.0

=== debian/changelog ===
soundkonverter-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Jan 2023 13:18:59 +0100

## soundkonverter-trinity 14.1.1

=== debian/changelog ===
soundkonverter-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 29 Sep 2023 10:58:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include debian/cdbs/kde.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include /usr/share/cdbs/1/rules/utils.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
@@ -14,7 +12,6 @@
 
 DEB_DH_INSTALL_ARGS = --sourcedir=debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS = --with-extra-libs=/opt/trinity/lib
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" && echo xz || echo bzip2)
 
 install/soundkonverter-trinity::
 	install -D -p -m0644 debian/soundkonverter-trinity.lintian-overrides \

## soundkonverter-trinity 14.1.2

=== debian/changelog ===
soundkonverter-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Apr 2024 13:04:16 +0200

## soundkonverter-trinity 14.1.3

=== src/metadata/m4a/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TAGLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### pluginloader

tde_add_library( tagm4a STATIC_PIC AUTOMOC
  SOURCES
    taglib_mp4filetyperesolver.cpp mp4file.cpp mp4itunestag.cpp mp4isobox.cpp mp4isofullbox.cpp
    mp4skipbox.cpp mp4moovbox.cpp mp4mvhdbox.cpp mp4ilstbox.cpp boxfactory.cpp mp4fourcc.cpp
    mp4udtabox.cpp mp4metabox.cpp mp4tagsproxy.cpp mp4mdiabox.cpp mp4minfbox.cpp mp4hdlrbox.cpp
    mp4audioproperties.cpp mp4stblbox.cpp mp4audiosampleentry.cpp mp4stsdbox.cpp mp4sampleentry.cpp
    mp4trakbox.cpp mp4propsproxy.cpp itunesnambox.cpp itunesartbox.cpp itunesalbbox.cpp
    itunescvrbox.cpp itunesgenbox.cpp itunestrknbox.cpp itunesdaybox.cpp itunescmtbox.cpp
    itunesgrpbox.cpp ituneswrtbox.cpp itunesdiskbox.cpp itunestmpobox.cpp itunesdatabox.cpp
)

=== debian/changelog ===
soundkonverter-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:12:26 +0200

## soundkonverter-trinity 14.1.4

=== debian/changelog ===
soundkonverter-trinity (4:14.1.4-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: soundkonverter-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, libcdparanoia0-dev, libtag1-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libcdparanoia0-dev, libtag1-dev
 Standards-Version: 3.8.4
 Homepage: http://www.kde-apps.org/content/show.php?content=29024

## soundkonverter-trinity 14.1.5~pre1

=== debian/changelog ===
soundkonverter-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for dacf7d40cf60ff1a7d16ca67b40cb054724af346
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## soundkonverter-trinity 14.1.5

=== src/amarokscript/CMakeLists.txt ===
install(
  FILES README
  DESTINATION ${DATA_INSTALL_DIR}/soundkonverter/amarokscript
)

install(
  PROGRAMS soundKonverter.rb
  DESTINATION ${DATA_INSTALL_DIR}/soundkonverter/amarokscript
)

=== src/plugins/CMakeLists.txt ===
add_subdirectory( format_infos )
add_subdirectory( mime_types )
add_subdirectory( plugins )

=== src/metadata/ape/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TAGLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### pluginloader

tde_add_library( tagmonkeysaudio STATIC_PIC AUTOMOC
  SOURCES taglib_monkeysaudiofiletyperesolver.cpp
)

=== src/metadata/asf/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TAGLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### pluginloader

tde_add_library( tagasf STATIC_PIC AUTOMOC
  SOURCES asfattribute.cpp asfproperties.cpp asftag.cpp asffile.cpp taglib_asffiletyperesolver.cpp
)

=== src/metadata/optimfrog/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TAGLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### pluginloader

tde_add_library( tagoptimfrog STATIC_PIC AUTOMOC
  SOURCES taglib_optimfrogfiletyperesolver.cpp
)

=== src/metadata/rmff/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TAGLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### pluginloader

tde_add_library( tagrealmedia STATIC_PIC AUTOMOC
  SOURCES rmff.cpp taglib_realmediafile.cpp taglib_realmediafiletyperesolver.cpp
)

=== src/metadata/trueaudio/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TAGLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### pluginloader

tde_add_library( tagtrueaudio STATIC_PIC AUTOMOC
  SOURCES ttafile.cpp ttaproperties.cpp taglib_trueaudiofiletyperesolver.cpp
)

=== debian/changelog ===
soundkonverter-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## soundkonverter-trinity 14.1.6~pre0

=== debian/changelog ===
soundkonverter-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for dacf7d40cf60ff1a7d16ca67b40cb054724af346
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## soundkonverter-trinity 14.1.6~pre1

=== debian/changelog ===
soundkonverter-trinity (4:14.1.6~pre1-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for fd44efc909dd0b20b8740f688f144c34686c2ccb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:50:41 +0100

## soundkonverter-trinity 14.1.6~pre3

=== debian/changelog ===
soundkonverter-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 49780d4c0029d98fb669bd1cdbfb1290660d83c7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 22:32:11 +0100

## soundkonverter-trinity 14.2.0~pre58

=== src/pics/CMakeLists.txt ===
install(
  FILES
    ledgreen.png ledgreen_legend.png ledred.png ledred_legend.png ledyellow.png ledyellow_legend.png
  DESTINATION
    ${DATA_INSTALL_DIR}/soundkonverter/pics
)

=== src/pluginloader/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### pluginloader

tde_add_library( pluginloader STATIC_PIC AUTOMOC
  SOURCES
    convertpluginloader.cpp formatinfoloader.cpp pluginloaderbase.cpp
    replaygainpluginloader.cpp ripperpluginloader.cpp
)

=== src/metadata/m4a/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,10 @@
   ${TDE_LIB_DIR}
 )
 
+if( NOT TAGLIB_LARGE_FILES_SUPPORT )
+  add_definitions( -U_LARGE_FILES -U_LARGEFILE_SOURCE -U_FILE_OFFSET_BITS )
+endif()
+
 
 ##### pluginloader

=== src/metadata/wavpack/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TAGLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### pluginloader

tde_add_library( tagwavpack STATIC_PIC AUTOMOC
  SOURCES wvfile.cpp wvproperties.cpp taglib_wavpackfiletyperesolver.cpp
)

=== src/plugins/mime_types/CMakeLists.txt ===
tde_create_translated_desktop(
  SOURCE
    amr.soundkonverter.desktop x-ape.soundkonverter.desktop x-bonk.soundkonverter.desktop x-pac.soundkonverter.desktop
    x-tta.soundkonverter.desktop x-wavpack-correction.soundkonverter.desktop x-wavpack.soundkonverter.desktop
  DESTINATION ${MIME_INSTALL_DIR}/audio
)

tde_create_translated_desktop(
  SOURCE
    x-la.soundkonverter.desktop x-ofc.soundkonverter.desktop x-ofr.soundkonverter.desktop
    x-ofs.soundkonverter.desktop x-shorten.soundkonverter.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
)

tde_create_translated_desktop(
  SOURCE x-flv.soundkonverter.desktop
  DESTINATION ${MIME_INSTALL_DIR}/video
)

=== debian/changelog ===
soundkonverter-trinity (4:14.2.0~pre58-0ubuntu18.04.0+7) bionic; urgency=low

  * Automated git build for ed75c3215bd1822886eda75c6d76046f94ca4d9d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libcdparanoia0-dev, libtag1-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libcdparanoia0-dev, libtag1-dev
 Standards-Version: 3.8.4
 Homepage: http://www.kde-apps.org/content/show.php?content=29024
 
 Package: soundkonverter-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: soundkonverter-trinity (<< 4:14.0.0~)
-Breaks: soundkonverter-trinity (<< 4:14.0.0~)
+Replaces: soundkonverter-kde3 (<< 4:14.0.0~), soundkonverter-trinity (<< 4:14.0.0~)
+Breaks: soundkonverter-kde3 (<< 4:14.0.0~), soundkonverter-trinity (<< 4:14.0.0~)
 Recommends: cdparanoia, faad, libav-tools | ffmpeg, flac, tdemultimedia-tdeio-plugins-trinity, mp3gain, mplayer, mppenc, speex, vorbis-tools, vorbisgain, wavpack
 Suggests: soundkonverter-amarok-trinity, timidity
 Description: audio converter frontend for Trinity
@@ -34,8 +34,8 @@
 Package: soundkonverter-amarok-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, soundkonverter-trinity, amarok-trinity, ruby, libqt0-ruby-trinity
-Replaces: soundkonverter-amarok-trinity (<< 4:14.0.0~)
-Breaks: soundkonverter-amarok-trinity (<< 4:14.0.0~)
+Replaces: soundkonverter-amarok-kde3 (<< 4:14.0.0~), soundkonverter-amarok-trinity (<< 4:14.0.0~)
+Breaks: soundkonverter-amarok-kde3 (<< 4:14.0.0~), soundkonverter-amarok-trinity (<< 4:14.0.0~)
 Description: audio converter frontend for Trinity (Amarok script)
  Amarok script for soundKonverter. It allows you to easily transcode files when
  transferring them to your media device.

## soundkonverter-trinity 14.2.0~pre59

=== debian/changelog ===
soundkonverter-trinity (4:14.2.0~pre59-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 08e6b7ebdf1f44e06c35451bcd4da4e6866c4da9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:00:50 +0100

## soundkonverter-trinity 14.2.0~pre61

=== debian/changelog ===
soundkonverter-trinity (4:14.2.0~pre61-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for b3bffb098c451690c4b85cd93301cd33fb6851a3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#soundkonverter

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 16:50:58 +0100
